/**
 * @name vue3-code-block
 * @version 1.0.4
 * @description Vue 3 CodeBlock - Highlight your code with ease using this syntax highlighting component powered by PrismJS.
 * @author WebDevNerdStuff & Bunnies... lots and lots of bunnies! <webdevnerdstuff@gmail.com> (https://webdevnerdstuff.com)
 * @copyright Copyright 2023, WebDevNerdStuff
 * @homepage https://webdevnerdstuff.github.io/vue3-code-block/
 * @repository https://github.com/webdevnerdstuff/vue3-code-block
 * @license MIT License
 */

import { openBlock, createElementBlock, Fragment, createCommentVNode, mergeProps, pushScopeId, popScopeId, createElementVNode, defineComponent, useSlots, inject, ref, computed, watch, onBeforeMount, onMounted, normalizeClass, unref, normalizeStyle, renderSlot, createTextVNode, toDisplayString, createBlock } from 'vue';
import Prism from 'prismjs';
import UAParser from 'ua-parser-js';

function styleInject(css, ref) {
  if ( ref === void 0 ) ref = {};
  var insertAt = ref.insertAt;

  if (!css || typeof document === 'undefined') { return; }

  var head = document.head || document.getElementsByTagName('head')[0];
  var style = document.createElement('style');
  style.type = 'text/css';

  if (insertAt === 'top') {
    if (head.firstChild) {
      head.insertBefore(style, head.firstChild);
    } else {
      head.appendChild(style);
    }
  } else {
    head.appendChild(style);
  }

  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    style.appendChild(document.createTextNode(css));
  }
}

var css_248z$2 = ".StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-neon-bunny__eWYt5{background-color:hsla(var(--v-cb-tab-neon-bunny-bkg),1)!important;color:hsl(var(--v-cb-tab-neon-bunny-text))!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-neon-bunny__eWYt5:hover{background-color:hsla(var(--v-cb-tab-neon-bunny-bkg),.5)!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-neon-bunny-icon__GIPg1{fill:hsl(var(--v-cb-tab-neon-bunny-icon))!important;color:hsl(var(--v-cb-tab-neon-bunny-icon))!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-neon-bunny-icon-status-success__S7m3r{fill:hsl(var(--v-cb-tab-neon-bunny-icon-success))!important;color:hsl(var(--v-cb-tab-neon-bunny-icon-success))!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-neon-bunny-icon-status-failed__OBJab{fill:hsl(var(--v-cb-tab-neon-bunny-icon-failed))!important;color:hsl(var(--v-cb-tab-neon-bunny-icon-failed))!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-neon-bunny__eWYt5>div{color:hsl(var(--v-cb-tab-neon-bunny-text))}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-neon-bunny-carrot__7MQNF{background-color:hsla(var(--v-cb-tab-neon-bunny-carrot-bkg),1)!important;color:hsl(var(--v-cb-tab-neon-bunny-carrot-text))!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-neon-bunny-carrot__7MQNF:hover{background-color:hsla(var(--v-cb-tab-neon-bunny-carrot-bkg),.5)!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-neon-bunny-carrot-icon__LyIOt{fill:hsl(var(--v-cb-tab-neon-bunny-carrot-icon))!important;color:hsl(var(--v-cb-tab-neon-bunny-carrot-icon))!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-neon-bunny-carrot-icon-status-success__08RF3{fill:hsl(var(--v-cb-tab-neon-bunny-carrot-icon-success))!important;color:hsl(var(--v-cb-tab-neon-bunny-carrot-icon-success))!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-neon-bunny-carrot-icon-status-failed__2qP5p{fill:hsl(var(--v-cb-tab-neon-bunny-carrot-icon-failed))!important;color:hsl(var(--v-cb-tab-neon-bunny-carrot-icon-failed))!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-neon-bunny-carrot__7MQNF>div{color:hsl(var(--v-cb-tab-neon-bunny-carrot-text))}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-default__75jh3{background-color:hsla(var(--v-cb-tab-prism-default-bkg),1)!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-default__75jh3:hover{background-color:hsla(var(--v-cb-tab-prism-default-bkg),.5)!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-default-icon__Kkk1k{fill:hsl(var(--v-cb-tab-prism-default-icon))!important;color:hsl(var(--v-cb-tab-prism-default-icon))!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-default-icon-status-success__8B1cm{fill:hsl(var(--v-cb-tab-prism-default-icon-success))!important;color:hsl(var(--v-cb-tab-prism-default-icon-success))!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-default-icon-status-failed__Yqzvw{fill:hsl(var(--v-cb-tab-prism-default-icon-failed))!important;color:hsl(var(--v-cb-tab-prism-default-icon-failed))!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-default__75jh3>div{color:hsl(var(--v-cb-tab-prism-default-text))}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-coy__XSIIu{background-color:hsla(var(--v-cb-tab-prism-coy-bkg),.1)!important;border-left:5px solid hsl(var(--v-cb-tab-prism-coy-bkg));border-radius:0}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-coy__XSIIu:hover{background-color:hsla(var(--v-cb-tab-prism-coy-bkg),.2)!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-coy-icon__FNdQg{fill:hsl(var(--v-cb-tab-prism-coy-icon))!important;color:hsl(var(--v-cb-tab-prism-coy-icon))!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-coy-icon-status-success__p1Q-Z{fill:hsl(var(--v-cb-tab-prism-coy-icon-success))!important;color:hsl(var(--v-cb-tab-prism-coy-icon-success))!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-coy-icon-status-failed__jjlQE{fill:hsl(var(--v-cb-tab-prism-coy-icon-failed))!important;color:hsl(var(--v-cb-tab-prism-coy-icon-failed))!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-coy__XSIIu>div{color:hsl(var(--v-cb-tab-prism-coy-text))}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-dark__xw5Oq{background-color:hsla(var(--v-cb-tab-prism-dark-bkg),1)!important;border-color:hsl(var(--v-cb-tab-prism-dark-border));border-style:solid;border-width:.3em .3em 0}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-dark__xw5Oq:hover{background-color:hsla(var(--v-cb-tab-prism-dark-border),.5)!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-dark-icon__qu0u8{fill:hsl(var(--v-cb-tab-prism-dark-icon))!important;color:hsl(var(--v-cb-tab-prism-dark-icon))!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-dark-icon-status-success__YlRBX{fill:hsl(var(--v-cb-tab-prism-dark-icon-success))!important;color:hsl(var(--v-cb-tab-prism-dark-icon-success))!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-dark-icon-status-failed__n2jZ-{fill:hsl(var(--v-cb-tab-prism-dark-icon-failed))!important;color:hsl(var(--v-cb-tab-prism-dark-icon-failed))!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-dark__xw5Oq>div{color:hsl(var(--v-cb-tab-prism-dark-text))}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-funky__4WqP8{background:url(\"data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='100' height='100' fill='rgba(0,0,0,.2)'%3E%3Cpath d='M0 50 50 0H0zM0 100h50l50-50V0z'/%3E%3C/svg%3E\");background-size:1em 1em}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-funky__4WqP8:hover{background-color:hsl(var(--v-cb-tab-prism-funky-bkg))!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-funky-icon__uI-k-{fill:hsl(var(--v-cb-tab-prism-funky-icon))!important;color:hsl(var(--v-cb-tab-prism-funky-icon))!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-funky-icon-status-success__sly1m{fill:hsl(var(--v-cb-tab-prism-funky-icon-success))!important;color:hsl(var(--v-cb-tab-prism-funky-icon-success))!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-funky-icon-status-failed__xNBbK{fill:hsl(var(--v-cb-tab-prism-funky-icon-failed))!important;color:hsl(var(--v-cb-tab-prism-funky-icon-failed))!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-funky__4WqP8>div{background-color:hsl(var(--v-cb-tab-prism-funky-dark))!important;color:hsl(var(--v-cb-tab-prism-funky-text))}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-okaidia__bRHfN{background-color:hsla(var(--v-cb-tab-prism-okaidia-bkg),1)!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-okaidia__bRHfN:hover{background-color:hsla(var(--v-cb-tab-prism-okaidia-bkg),.5)!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-okaidia-icon__OadLs{fill:hsl(var(--v-cb-tab-prism-okaidia-icon))!important;color:hsl(var(--v-cb-tab-prism-okaidia-icon))!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-okaidia-icon-status-success__lECdn{fill:hsl(var(--v-cb-tab-prism-okaidia-icon-success))!important;color:hsl(var(--v-cb-tab-prism-okaidia-icon-success))!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-okaidia-icon-status-failed__kcY2-{fill:hsl(var(--v-cb-tab-prism-okaidia-icon-failed))!important;color:hsl(var(--v-cb-tab-prism-okaidia-icon-failed))!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-okaidia__bRHfN>div{color:hsl(var(--v-cb-tab-prism-okaidia-text))}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-solarizedlight__4nxDB{background-color:hsla(var(--v-cb-tab-prism-solarizedlight-bkg),1)!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-solarizedlight__4nxDB:hover{background-color:hsla(var(--v-cb-tab-prism-solarizedlight-bkg),.5)!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-solarizedlight-icon__B75ew{fill:hsl(var(--v-cb-tab-prism-solarizedlight-icon))!important;color:hsl(var(--v-cb-tab-prism-solarizedlight-icon))!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-solarizedlight-icon-status-success__YTC3d{fill:hsl(var(--v-cb-tab-prism-solarizedlight-icon-success))!important;color:hsl(var(--v-cb-tab-prism-solarizedlight-icon-success))!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-solarizedlight-icon-status-failed__rq0G-{fill:hsl(var(--v-cb-tab-prism-solarizedlight-icon-failed))!important;color:hsl(var(--v-cb-tab-prism-solarizedlight-icon-failed))!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-solarizedlight__4nxDB>div{color:hsl(var(--v-cb-tab-prism-solarizedlight-text))}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-tomorrow__-0qg7{background-color:hsla(var(--v-cb-tab-prism-tomorrow-bkg),1)!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-tomorrow__-0qg7:hover{background-color:hsla(var(--v-cb-tab-prism-tomorrow-bkg),.5)!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-tomorrow-icon__-2VcM{fill:hsl(var(--v-cb-tab-prism-tomorrow-icon))!important;color:hsl(var(--v-cb-tab-prism-tomorrow-icon))!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-tomorrow-icon-status-success__qce7a{fill:hsl(var(--v-cb-tab-prism-tomorrow-icon-success))!important;color:hsl(var(--v-cb-tab-prism-tomorrow-icon-success))!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-tomorrow-icon-status-failed__lDuHc{fill:hsl(var(--v-cb-tab-prism-tomorrow-icon-failed))!important;color:hsl(var(--v-cb-tab-prism-tomorrow-icon-failed))!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-tomorrow__-0qg7>div{color:hsl(var(--v-cb-tab-prism-tomorrow-text))}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-twilight__v2hTK{background-color:hsla(var(--v-cb-tab-prism-twilight-bkg),1)!important;border-color:hsl(var(--v-cb-tab-prism-twilight-border));border-style:solid;border-width:.3em .3em 0}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-twilight__v2hTK:hover{background-color:hsla(var(--v-cb-tab-prism-twilight-bkg),.5)!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-twilight-icon__iWaKS{fill:hsl(var(--v-cb-tab-prism-twilight-icon))!important;color:hsl(var(--v-cb-tab-prism-twilight-icon))!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-twilight-icon-status-success__8QpG1{fill:hsl(var(--v-cb-tab-prism-twilight-icon-success))!important;color:hsl(var(--v-cb-tab-prism-twilight-icon-success))!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-twilight-icon-status-failed__kxt9N{fill:hsl(var(--v-cb-tab-prism-twilight-icon-failed))!important;color:hsl(var(--v-cb-tab-prism-twilight-icon-failed))!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-twilight__v2hTK>div{color:hsl(var(--v-cb-tab-prism-twilight-text))}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-night-owl__kBJeG{background-color:hsla(var(--v-cb-tab-prism-night-owl),1)!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-night-owl__kBJeG:hover{background-color:hsla(var(--v-cb-tab-prism-night-owl),.5)!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-night-owl-icon__l-r6P{fill:hsl(var(--v-cb-tab-prism-night-owl-icon))!important;color:hsl(var(--v-cb-tab-prism-night-owl-icon))!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-night-owl-icon-status-success__lBw98{fill:hsl(var(--v-cb-tab-prism-night-owl-icon-success))!important;color:hsl(var(--v-cb-tab-prism-night-owl-icon-success))!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-night-owl-icon-status-failed__4779f{fill:hsl(var(--v-cb-tab-prism-night-owl-icon-failed))!important;color:hsl(var(--v-cb-tab-prism-night-owl-icon-failed))!important}.StatusIcons-vue-vue-type-style-index-0-lang_v-code-block--tab-night-owl__kBJeG>div{color:hsl(var(--v-cb-tab-prism-night-owl-text))}";
styleInject(css_248z$2);

var css_248z$1 = "svg[data-v-7d8ba791]{height:14px;width:14px}";
styleInject(css_248z$1);

var _export_sfc = (sfc, props) => {
  const target = sfc.__vccOpts || sfc;
  for (const [key, val] of props) {
    target[key] = val;
  }
  return target;
};

const _sfc_main$1 = {
	name: 'StatusIcons',
	props: {
		icon: {
			type: String,
			required: true
		}
	},
	setup(props) {
		return {
			props,
		};
	}
};

const _withScopeId = n => (pushScopeId("data-v-7d8ba791"),n=n(),popScopeId(),n);
const _hoisted_1$1 = /*#__PURE__*/ _withScopeId(() => /*#__PURE__*/createElementVNode("path", { d: "M224 0c-35.3 0-64 28.7-64 64V288c0 35.3 28.7 64 64 64H448c35.3 0 64-28.7 64-64V64c0-35.3-28.7-64-64-64H224zM64 160c-35.3 0-64 28.7-64 64V448c0 35.3 28.7 64 64 64H288c35.3 0 64-28.7 64-64V384H288v64H64V224h64V160H64z" }, null, -1 /* HOISTED */));
const _hoisted_2$1 = /*#__PURE__*/ _withScopeId(() => /*#__PURE__*/createElementVNode("path", { d: "M470.6 105.4c12.5 12.5 12.5 32.8 0 45.3l-256 256c-12.5 12.5-32.8 12.5-45.3 0l-128-128c-12.5-12.5-12.5-32.8 0-45.3s32.8-12.5 45.3 0L192 338.7 425.4 105.4c12.5-12.5 32.8-12.5 45.3 0z" }, null, -1 /* HOISTED */));
const _hoisted_3$1 = /*#__PURE__*/ _withScopeId(() => /*#__PURE__*/createElementVNode("path", { d: "M310.6 150.6c12.5-12.5 12.5-32.8 0-45.3s-32.8-12.5-45.3 0L160 210.7 54.6 105.4c-12.5-12.5-32.8-12.5-45.3 0s-12.5 32.8 0 45.3L114.7 256 9.4 361.4c-12.5 12.5-12.5 32.8 0 45.3s32.8 12.5 45.3 0L160 301.3 265.4 406.6c12.5 12.5 32.8 12.5 45.3 0s12.5-32.8 0-45.3L205.3 256 310.6 150.6z" }, null, -1 /* HOISTED */));

function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return (openBlock(), createElementBlock(Fragment, null, [
    createCommentVNode(" Copy Icon "),
    ($props.icon === 'copy')
      ? (openBlock(), createElementBlock("svg", mergeProps({ key: 0 }, _ctx.$attrs, {
          viewBox: "0 0 512 512",
          xmlns: "http://www.w3.org/2000/svg"
        }), [
          createCommentVNode("! Font Awesome Pro 6.3.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) Copyright 2023 Fonticons, Inc. "),
          _hoisted_1$1
        ], 16 /* FULL_PROPS */))
      : ($props.icon === 'success')
        ? (openBlock(), createElementBlock(Fragment, { key: 1 }, [
            createCommentVNode(" Success Icon "),
            (openBlock(), createElementBlock("svg", mergeProps(_ctx.$attrs, {
              viewBox: "0 0 512 512",
              xmlns: "http://www.w3.org/2000/svg"
            }), [
              createCommentVNode("! Font Awesome Pro 6.3.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) Copyright 2023 Fonticons, Inc. "),
              _hoisted_2$1
            ], 16 /* FULL_PROPS */))
          ], 2112 /* STABLE_FRAGMENT, DEV_ROOT_FRAGMENT */))
        : ($props.icon === 'failed')
          ? (openBlock(), createElementBlock(Fragment, { key: 2 }, [
              createCommentVNode(" Failed Icon "),
              (openBlock(), createElementBlock("svg", mergeProps(_ctx.$attrs, {
                viewBox: "0 0 320 512",
                xmlns: "http://www.w3.org/2000/svg"
              }), [
                createCommentVNode("! Font Awesome Pro 6.3.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) Copyright 2023 Fonticons, Inc. "),
                _hoisted_3$1
              ], 16 /* FULL_PROPS */))
            ], 2112 /* STABLE_FRAGMENT, DEV_ROOT_FRAGMENT */))
          : createCommentVNode("v-if", true)
  ], 2112 /* STABLE_FRAGMENT, DEV_ROOT_FRAGMENT */))
}
var StatusIcons = /*#__PURE__*/_export_sfc(_sfc_main$1, [['render',_sfc_render],['__scopeId',"data-v-7d8ba791"],['__file',"src/plugin/StatusIcons.vue"]]);

const _hoisted_1 = { class: "v-code-block--button-copy" };
const _hoisted_2 = { class: "v-code-block--button-run" };
const _hoisted_3 = { class: "v-code-block--code" };
const _hoisted_4 = ["innerHTML"];
var _sfc_main = /*#__PURE__*/ defineComponent({
    __name: 'CodeBlock',
    props: {
        browserWindow: {
            type: Boolean,
            required: false,
            default: false,
        },
        code: {
            type: [Object, Array, String, Number],
            required: true,
        },
        codeBlockRadius: {
            type: String,
            required: false,
            default: '0.5rem',
        },
        copyButton: {
            type: Boolean,
            required: false,
            default: true,
        },
        copyIcons: {
            type: Boolean,
            required: false,
            default: true,
        },
        copyTab: {
            type: Boolean,
            required: false,
            default: true,
        },
        copyFailedText: {
            type: String,
            required: false,
            default: 'Copy failed!',
        },
        copyText: {
            type: String,
            required: false,
            default: 'Copy Code',
        },
        copySuccessText: {
            type: String,
            required: false,
            default: 'Copied!',
        },
        floatingTabs: {
            type: Boolean,
            required: false,
            default: true,
        },
        height: {
            type: [String, Number],
            required: false,
            default: 'auto',
        },
        indent: {
            type: Number,
            required: false,
            default: 2,
        },
        label: {
            type: String,
            required: false,
            default: '',
        },
        lang: {
            type: String,
            required: false,
            default: 'javascript',
        },
        maxHeight: {
            type: [String, Number],
            required: false,
            default: 'auto',
        },
        persistentCopyButton: {
            type: Boolean,
            required: false,
            default: false,
        },
        runTab: {
            type: Boolean,
            required: false,
            default: false,
        },
        runText: {
            type: String,
            required: false,
            default: 'Run',
        },
        tabGap: {
            type: String,
            required: false,
            default: '0.25rem',
        },
        tabs: {
            type: Boolean,
            required: false,
            default: false,
        },
        theme: {
            type: [String, Boolean],
            required: false,
            default: 'neon-bunny',
        }
    },
    emits: ['run', 'update:copy-status'],
    setup(__props, { emit }) {
        const props = __props;
        const neonBunnyCarrotTheme = import.meta.glob('./themes/neon-bunny-carrot.css', { eager: true, as: 'raw' });
        const neonBunnyTheme = import.meta.glob('./themes/neon-bunny.css', { eager: true, as: 'raw' });
        const prismTheme = import.meta.glob('prismjs/themes/prism.css', { eager: true, as: 'raw' });
        const prismThemeCoy = import.meta.glob('prismjs/themes/prism-coy.css', { eager: true, as: 'raw' });
        const prismThemeDark = import.meta.glob('prismjs/themes/prism-dark.css', { eager: true, as: 'raw' });
        const prismThemeFunky = import.meta.glob('prismjs/themes/prism-funky.css', { eager: true, as: 'raw' });
        const prismThemeOkaidia = import.meta.glob('prismjs/themes/prism-okaidia.css', { eager: true, as: 'raw' });
        const prismThemeSolarizedlight = import.meta.glob('prismjs/themes/prism-solarizedlight.css', { eager: true, as: 'raw' });
        const prismThemeTomorrow = import.meta.glob('prismjs/themes/prism-tomorrow.css', { eager: true, as: 'raw' });
        const prismThemeTwilight = import.meta.glob('prismjs/themes/prism-twilight.css', { eager: true, as: 'raw' });
        // -------------------------------------------------- Emits & Slots & Injects //
        const slots = useSlots();
        const codeBlockGlobalOptions = inject('codeBlockGlobalOptions');
        // -------------------------------------------------- Props //
        // -------------------------------------------------- Data //
        const copyTextValue = ref('');
        const convertedCode = ref(null);
        const copying = ref(false);
        const copyStatus = ref('copy');
        const isMobile = ref(false);
        const runTextValue = ref('');
        const stylesheetId = 'v-code-block--theme';
        const useTheme = ref('');
        // -------------------------------------------------- Computed //
        const codeBlockClasses = computed(() => {
            return isMobile.value ? 'v-code-block--mobile' : '';
        });
        const codeTagStyles = computed(() => {
            const width = useTheme.value === 'coy' ? '100%' : '';
            return { width };
        });
        const copyButtonClasses = computed(() => {
            return {
                'v-code-block--code-copy-button': true,
                'v-code-block--code-copy-button-mobile': isMobile.value,
                [`v-code-block--code-copy-button-persist`]: props.persistentCopyButton,
                [`v-code-block--code-copy-button-status-${copyStatus.value}`]: true,
            };
        });
        const headerStyles = computed(() => {
            return {
                bottom: props.floatingTabs ? '1px' : '0',
                gap: convertToUnit(props.tabGap),
            };
        });
        const iconClasses = computed(() => {
            const theme = useTheme.value === '' || useTheme.value === 'prism' ? 'default' : useTheme.value;
            const classes = {
                'v-code-block--me-1': true,
                [`v-code-block--tab-${theme}-icon`]: true,
                [`v-code-block--button-copy-icon-status-${copyStatus.value}`]: true,
                [`v-code-block--tab-${theme}-icon-status-${copyStatus.value}`]: true,
            };
            return classes;
        });
        const labelClasses = computed(() => {
            return isMobile.value ? 'v-code-block--label-mobile' : '';
        });
        const preTagStyles = computed(() => {
            const radius = props.codeBlockRadius;
            let borderRadius = `${radius} 0 ${radius} ${radius}`;
            if (!props.tabs || (!props.copyTab && !props.runTab)) {
                borderRadius = radius;
            }
            const display = useTheme.value !== 'funky' ? 'flex' : 'block';
            return {
                borderRadius,
                height: convertToUnit(props.height),
                maxHeight: convertToUnit(props.maxHeight),
                display,
            };
        });
        const renderCode = computed(() => {
            convertCode();
            const html = Prism.highlight(convertedCode.value, Prism.languages[props.lang], props.lang);
            return html;
        });
        const tabClasses = computed(() => {
            const theme = useTheme.value === '' || useTheme.value === 'prism' ? 'default' : useTheme.value;
            const classes = {
                [`v-code-block--tab-${theme}`]: true,
            };
            return classes;
        });
        const tabGroupStyle = computed(() => {
            return {
                gap: convertToUnit(props.tabGap),
            };
        });
        // -------------------------------------------------- Watch //
        watch(props, () => {
            if (props.theme) {
                useTheme.value = props.theme;
                loadTheme();
            }
            if (props.copyText) {
                copyTextValue.value = props.copyText;
            }
            if (props.runText) {
                runTextValue.value = props.runText;
            }
        });
        // -------------------------------------------------- Mounts //
        onBeforeMount(() => {
            copyTextValue.value = props.copyText;
            runTextValue.value = props.runText;
        });
        onMounted(() => {
            useTheme.value = codeBlockGlobalOptions?.theme || props.theme;
            loadTheme();
            mobileCheck();
        });
        // -------------------------------------------------- Methods //
        function convertCode() {
            if (props.lang === 'json') {
                const propsCode = props.code.toString();
                convertedCode.value = JSON.stringify(JSON.parse(propsCode), null, props.indent);
                return;
            }
            convertedCode.value = props.code;
            return;
        }
        function convertToUnit(str, unit = 'px') {
            if (str == null || str === '') {
                return undefined;
            }
            else if (!+str) {
                return String(str);
            }
            return `${Number(str)}${unit}`;
        }
        function copyCode() {
            if (copying.value) {
                return;
            }
            copying.value = true;
            navigator.clipboard.writeText(convertedCode.value).then(() => {
                copyTextValue.value = props.copySuccessText;
                copyStatus.value = 'success';
                emit('update:copy-status', copyStatus.value);
            }, (err) => {
                copyTextValue.value = props.copyFailedText;
                copyStatus.value = 'failed';
                emit('update:copy-status', copyStatus.value);
                console.error('Copy to clipboard failed: ', err);
            });
            setTimeout(() => {
                copyTextValue.value = props.copyText;
                copyStatus.value = 'copy';
                emit('update:copy-status', copyStatus.value);
                copying.value = false;
            }, 3000);
        }
        function loadTheme() {
            let selectedTheme = null;
            const loadedThemeStyles = document.getElementById(stylesheetId);
            const head = document.getElementsByTagName('head')[0];
            const themeStyles = document.createElement('style');
            if (loadedThemeStyles) {
                loadedThemeStyles.remove();
            }
            switch (useTheme.value) {
                case 'neon-bunny':
                    selectedTheme = neonBunnyTheme;
                    break;
                case 'neon-bunny-carrot':
                    selectedTheme = neonBunnyCarrotTheme;
                    break;
                case 'coy':
                    selectedTheme = prismThemeCoy;
                    break;
                case 'dark':
                    selectedTheme = prismThemeDark;
                    break;
                case 'funky':
                    selectedTheme = prismThemeFunky;
                    break;
                case 'okaidia':
                    selectedTheme = prismThemeOkaidia;
                    break;
                case 'solarizedlight':
                    selectedTheme = prismThemeSolarizedlight;
                    break;
                case 'tomorrow':
                    selectedTheme = prismThemeTomorrow;
                    break;
                case 'twilight':
                    selectedTheme = prismThemeTwilight;
                    break;
                case 'default':
                case 'prism':
                    selectedTheme = prismTheme;
                    break;
                default:
                    selectedTheme = prismTheme;
                    break;
            }
            const themeKey = Object.keys(selectedTheme)[0];
            selectedTheme = selectedTheme[themeKey];
            themeStyles.setAttribute('type', 'text/css');
            themeStyles.id = stylesheetId;
            themeStyles.appendChild(document.createTextNode(selectedTheme));
            head.appendChild(themeStyles);
        }
        function mobileCheck() {
            const ua = UAParser();
            const device = ua.device;
            isMobile.value = device.type === 'mobile';
        }
        window.addEventListener("orientationchange", () => {
            mobileCheck();
        });
        function runCode() {
            emit('run');
        }
        return (_ctx, _cache) => {
            return (openBlock(), createElementBlock("div", {
                class: normalizeClass(["v-code-block v-code-block--mb-5", unref(codeBlockClasses)])
            }, [
                (__props.label || __props.tabs || unref(slots).label || unref(slots).tabs)
                    ? (openBlock(), createElementBlock("div", {
                        key: 0,
                        class: "v-code-block--header",
                        style: normalizeStyle(unref(headerStyles))
                    }, [
                        createElementVNode("div", {
                            class: normalizeClass(["v-code-block--label v-code-block--pb-1", unref(labelClasses)])
                        }, [
                            (unref(slots).label)
                                ? renderSlot(_ctx.$slots, "label", { key: 0 })
                                : (openBlock(), createElementBlock(Fragment, { key: 1 }, [
                                    createTextVNode(toDisplayString(props.label), 1 /* TEXT */)
                                ], 64 /* STABLE_FRAGMENT */))
                        ], 2 /* CLASS */),
                        createElementVNode("div", {
                            class: "v-code-block--tabs",
                            style: normalizeStyle(unref(tabGroupStyle))
                        }, [
                            (unref(slots).tabs)
                                ? renderSlot(_ctx.$slots, "tabs", { key: 0 })
                                : (openBlock(), createElementBlock(Fragment, { key: 1 }, [
                                    createCommentVNode(" ======================================== Copy Code Tab/Button "),
                                    (__props.copyTab && __props.tabs)
                                        ? (openBlock(), createElementBlock("div", {
                                            key: 0,
                                            class: normalizeClass(["v-code-block--tab", unref(tabClasses)]),
                                            onClick: copyCode
                                        }, [
                                            createElementVNode("div", _hoisted_1, [
                                                (__props.copyIcons)
                                                    ? (openBlock(), createBlock(StatusIcons, {
                                                        key: 0,
                                                        class: normalizeClass(["v-code-block--button-copy-icon", unref(iconClasses)]),
                                                        icon: copyStatus.value
                                                    }, null, 8 /* PROPS */, ["class", "icon"]))
                                                    : createCommentVNode("v-if", true),
                                                createTextVNode(" " + toDisplayString(copyTextValue.value), 1 /* TEXT */)
                                            ])
                                        ], 2 /* CLASS */))
                                        : createCommentVNode("v-if", true),
                                    createCommentVNode(" ======================================== Run Tab/Button "),
                                    (__props.runTab && __props.tabs && !isMobile.value)
                                        ? (openBlock(), createElementBlock("div", {
                                            key: 1,
                                            class: normalizeClass(["v-code-block--tab", unref(tabClasses)]),
                                            onClick: runCode
                                        }, [
                                            createElementVNode("div", _hoisted_2, toDisplayString(runTextValue.value), 1 /* TEXT */)
                                        ], 2 /* CLASS */))
                                        : createCommentVNode("v-if", true)
                                ], 64 /* STABLE_FRAGMENT */))
                        ], 4 /* STYLE */)
                    ], 4 /* STYLE */))
                    : createCommentVNode("v-if", true),
                createElementVNode("div", _hoisted_3, [
                    createElementVNode("div", {
                        class: normalizeClass(["v-code-block--code-copy-button", unref(copyButtonClasses)]),
                        onClick: copyCode
                    }, [
                        (unref(slots).copyButton)
                            ? renderSlot(_ctx.$slots, "copyButton", { key: 0 })
                            : (openBlock(), createElementBlock(Fragment, { key: 1 }, [
                                (__props.copyButton)
                                    ? (openBlock(), createBlock(StatusIcons, {
                                        key: 0,
                                        class: normalizeClass(["v-code-block--button-copy-icon", unref(iconClasses)]),
                                        icon: copyStatus.value
                                    }, null, 8 /* PROPS */, ["class", "icon"]))
                                    : createCommentVNode("v-if", true)
                            ], 64 /* STABLE_FRAGMENT */))
                    ], 2 /* CLASS */),
                    createElementVNode("pre", {
                        class: normalizeClass(`language-${props.lang}`),
                        style: normalizeStyle(unref(preTagStyles))
                    }, [
                        createTextVNode(""),
                        createElementVNode("code", {
                            class: normalizeClass(`language-${props.lang} ${__props.browserWindow ? 'v-code-block--code-browser' : ''}`),
                            style: normalizeStyle(unref(codeTagStyles)),
                            innerHTML: unref(renderCode)
                        }, null, 14 /* CLASS, STYLE, PROPS */, _hoisted_4),
                        createTextVNode("\n\t\t\t")
                    ], 6 /* CLASS, STYLE */)
                ])
            ], 2 /* CLASS */));
        };
    }
});

var css_248z = ":root{--v-cb-blue:206,80%,39%;--v-cb-blue-hex:#146eb4;--v-cb-blue-rgb:20,110,180;--v-cb-primary:var(--v-cb-blue);--v-cb-primary-hex:var(--v-cb-blue-hex);--v-cb-primary-rgb:var(--v-cb-blue-rgb);--v-cb-green:120,61%,34%;--v-cb-green-hex:#228b22;--v-cb-green-rgb:34,139,34;--v-cb-success:var(--v-cb-green);--v-cb-success-hex:var(--v-cb-green-hex);--v-cb-success-rgb:var(--v-cb-green-rgb);--v-cb-red:0,68%,42%;--v-cb-red-hex:#b22222;--v-cb-red-rgb:178,34,34;--v-cb-danger:var(--v-cb-red);--v-cb-danger-hex:var(--v-cb-red-hex);--v-cb-danger-rgb:var(--v-cb-red-rgb);--v-cb-font:system-ui,-apple-system,\"Segoe UI\",\"Roboto\",\"Helvetica Neue\",\"Arial\",\"Noto Sans\",\"Liberation Sans\",sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\";--v-cb-label-font:var(--v-cb-font);--v-cb-tab-font:var(--v-cb-font);--v-cb-tab-neon-bunny-bkg:0,0%,0%;--v-cb-tab-neon-bunny-text:0,0%,100%;--v-cb-tab-neon-bunny-icon:207,100%,52%;--v-cb-tab-neon-bunny-icon-success:119,100%,51%;--v-cb-tab-neon-bunny-icon-failed:3,100%,58%;--v-cb-tab-neon-bunny-carrot-bkg:0,0%,0%;--v-cb-tab-neon-bunny-carrot-text:0,0%,100%;--v-cb-tab-neon-bunny-carrot-icon:292,100%,50%;--v-cb-tab-neon-bunny-carrot-icon-success:119,100%,51%;--v-cb-tab-neon-bunny-carrot-icon-failed:3,100%,58%;--v-cb-tab-prism-default-bkg:24,20%,95%;--v-cb-tab-prism-default-text:0,0%,0%;--v-cb-tab-prism-default-icon:198,100%,33%;--v-cb-tab-prism-default-icon-success:80,100%,30%;--v-cb-tab-prism-default-icon-failed:348,68%,58%;--v-cb-tab-prism-coy-bkg:205,59%,50%;--v-cb-tab-prism-coy-text:0,0%,0%;--v-cb-tab-prism-coy-icon:195,76%,41%;--v-cb-tab-prism-coy-icon-success:80,100%,30%;--v-cb-tab-prism-coy-icon-failed:0,64%,48%;--v-cb-tab-prism-dark-bkg:30,20%,25%;--v-cb-tab-prism-dark-text:0,0%,100%;--v-cb-tab-prism-dark-border:30,20%,40%;--v-cb-tab-prism-dark-icon:40,90%,60%;--v-cb-tab-prism-dark-icon-success:75,70%,60%;--v-cb-tab-prism-dark-icon-failed:0,100%,50%;--v-cb-tab-prism-funky-bkg:0,0%,80%;--v-cb-tab-prism-funky-text:0,0%,100%;--v-cb-tab-prism-funky-dark:0,0%,0%;--v-cb-tab-prism-funky-icon:328,100%,54%;--v-cb-tab-prism-funky-icon-success:80,61%,50%;--v-cb-tab-prism-funky-icon-failed:0,100%,50%;--v-cb-tab-prism-okaidia-bkg:70,8%,15%;--v-cb-tab-prism-okaidia-text:0,0%,100%;--v-cb-tab-prism-okaidia-icon:190,81%,67%;--v-cb-tab-prism-okaidia-icon-success:80,76%,53%;--v-cb-tab-prism-okaidia-icon-failed:338,95%,56%;--v-cb-tab-prism-solarizedlight-bkg:44,87%,94%;--v-cb-tab-prism-solarizedlight-text:196,13%,45%;--v-cb-tab-prism-solarizedlight-icon:175,59%,40%;--v-cb-tab-prism-solarizedlight-icon-success:68,100%,30%;--v-cb-tab-prism-solarizedlight-icon-failed:18,80%,44%;--v-cb-tab-prism-tomorrow-bkg:0,0%,18%;--v-cb-tab-prism-tomorrow-text:0,0%,80%;--v-cb-tab-prism-tomorrow-icon:299,34%,70%;--v-cb-tab-prism-tomorrow-icon-success:143,39%,64%;--v-cb-tab-prism-tomorrow-icon-failed:358,65%,68%;--v-cb-tab-prism-twilight-bkg:0,0%,8%;--v-cb-tab-prism-twilight-text:0,0%,80%;--v-cb-tab-prism-twilight-border:0,0%,33%;--v-cb-tab-prism-twilight-icon:53,89%,79%;--v-cb-tab-prism-twilight-icon-success:76,21%,52%;--v-cb-tab-prism-twilight-icon-failed:14,58%,55%;--v-cb-tab-prism-night-owl:207,95%,8%;--v-cb-tab-prism-night-owl-text:217,34%,88%;--v-cb-tab-prism-night-owl-icon:169,56%,68%;--v-cb-tab-prism-night-owl-icon-success:84,62%,63%;--v-cb-tab-prism-night-owl-icon-failed:350,100%,67%}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--mt-1__gMOs4{margin-top:.25rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--me-1__jFfYD{margin-right:.25rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--mb-1__UvVKH{margin-bottom:.25rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--ms-1__wtG-g{margin-left:.25rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--pt-1__uImqd{padding-top:.25rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--pe-1__i8bdI{padding-right:.25rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--pb-1__SXrEN{padding-bottom:.25rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--ps-1__h03sI{padding-left:.25rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--mt-2__tF5BZ{margin-top:.5rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--me-2__SM9SC{margin-right:.5rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--mb-2__bK9qA{margin-bottom:.5rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--ms-2__BSVUV{margin-left:.5rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--pt-2__3mXxK{padding-top:.5rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--pe-2__Eae2A{padding-right:.5rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--pb-2__wqNyW{padding-bottom:.5rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--ps-2__XVdGP{padding-left:.5rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--mt-3__LN1bN{margin-top:.75rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--me-3__nbpPK{margin-right:.75rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--mb-3__3mLSC{margin-bottom:.75rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--ms-3__Lc7oR{margin-left:.75rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--pt-3__rQQRN{padding-top:.75rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--pe-3__DWI-7{padding-right:.75rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--pb-3__nlxIJ{padding-bottom:.75rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--ps-3__fzyi4{padding-left:.75rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--mt-4__lokW0{margin-top:1rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--me-4__85fau{margin-right:1rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--mb-4__k2Ejx{margin-bottom:1rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--ms-4__EAlye{margin-left:1rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--pt-4__KEXe-{padding-top:1rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--pe-4__67-w6{padding-right:1rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--pb-4__BgP5Q{padding-bottom:1rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--ps-4__ICnYB{padding-left:1rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--mt-5__PAaMF{margin-top:1.25rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--me-5__wgss2{margin-right:1.25rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--mb-5__G1yr-{margin-bottom:1.25rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--ms-5__dwXgr{margin-left:1.25rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--pt-5__-uRsb{padding-top:1.25rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--pe-5__zraCL{padding-right:1.25rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--pb-5__L35ER{padding-bottom:1.25rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--ps-5__D6giu{padding-left:1.25rem!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block__Kn1ay{display:block;max-width:100%}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block---label-mobile__s7JO0 input,.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block---label-mobile__s7JO0 select,.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block---label-mobile__s7JO0 textarea{display:none}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--header__bpArg{align-items:end;display:flex;justify-content:space-between;overflow:visible;position:relative;width:100%}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--label__PDol4{font-family:var(--v-cb-label-font);overflow:auto}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tabs__3GYk2{align-items:end;display:flex;justify-content:flex-end}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab__X1ywW{align-items:center;background-color:hsla(var(--v-cb-primary),.1);border-radius:5px 5px 0 0;cursor:pointer;display:flex;flex-direction:row;font-family:var(--v-cb-tab-font);justify-content:flex-start;padding:5px 15px;text-align:center;transition:background-color .35s ease;white-space:nowrap;width:fit-content}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab__X1ywW:hover{background-color:hsla(var(--v-cb-primary),.2)}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--code__ZQxfm{position:relative;z-index:1}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--code__ZQxfm pre,.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--code__ZQxfm pre[class*=language-]{margin-top:0}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--code__ZQxfm pre[class*=language-]:after,.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--code__ZQxfm pre[class*=language-]:before{bottom:.95em}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--code-browser__hD0ss:before{background-image:url('data:image/svg+xml;utf8, <svg xmlns=\"http://www.w3.org/2000/svg\" width=\"54\" height=\"14\" viewBox=\"0 0 54 14\"><g fill=\"none\" fillRule=\"evenodd\" transform=\"translate(1 1)\"><circle cx=\"6\" cy=\"6\" r=\"6\" fill=\"%23FF5F56\" stroke=\"%23E0443E\" strokeWidth=\".5\" /><circle cx=\"26\" cy=\"6\" r=\"6\" fill=\"%23FFBD2E\" stroke=\"%23DEA123\" strokeWidth=\".5\" /><circle cx=\"46\" cy=\"6\" r=\"6\" fill=\"%2327C93F\" stroke=\"%231AAB29\" strokeWidth=\".5\" /></g></svg>');background-position:.5em .5em;background-repeat:no-repeat;content:\"\";display:block;padding-right:10em;padding-top:3rem;width:100%}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--code__ZQxfm:hover .CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--code-copy-button__NpVRa{opacity:1}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--code-copy-button__NpVRa{align-items:center;color:#fff;cursor:pointer;display:flex;height:1.5em;justify-content:center;opacity:0;position:absolute;right:.9rem;top:.7rem;transition:opacity .2s ease-in-out;width:auto;z-index:2}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--code-copy-button__NpVRa:hover{opacity:1}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--code-copy-button-persist__AhlYl{opacity:.5}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--code-copy-button__NpVRa svg{height:14px;width:14px}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-neon-bunny__qhi34{background-color:hsla(var(--v-cb-tab-neon-bunny-bkg),1)!important;color:hsl(var(--v-cb-tab-neon-bunny-text))!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-neon-bunny__qhi34:hover{background-color:hsla(var(--v-cb-tab-neon-bunny-bkg),.5)!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-neon-bunny-icon__yiAoS{fill:hsl(var(--v-cb-tab-neon-bunny-icon))!important;color:hsl(var(--v-cb-tab-neon-bunny-icon))!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-neon-bunny-icon-status-success__c-gNT{fill:hsl(var(--v-cb-tab-neon-bunny-icon-success))!important;color:hsl(var(--v-cb-tab-neon-bunny-icon-success))!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-neon-bunny-icon-status-failed__p1IRa{fill:hsl(var(--v-cb-tab-neon-bunny-icon-failed))!important;color:hsl(var(--v-cb-tab-neon-bunny-icon-failed))!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-neon-bunny__qhi34>div{color:hsl(var(--v-cb-tab-neon-bunny-text))}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-neon-bunny-carrot__7-Dyg{background-color:hsla(var(--v-cb-tab-neon-bunny-carrot-bkg),1)!important;color:hsl(var(--v-cb-tab-neon-bunny-carrot-text))!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-neon-bunny-carrot__7-Dyg:hover{background-color:hsla(var(--v-cb-tab-neon-bunny-carrot-bkg),.5)!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-neon-bunny-carrot-icon__B-Qtb{fill:hsl(var(--v-cb-tab-neon-bunny-carrot-icon))!important;color:hsl(var(--v-cb-tab-neon-bunny-carrot-icon))!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-neon-bunny-carrot-icon-status-success__2VTJ9{fill:hsl(var(--v-cb-tab-neon-bunny-carrot-icon-success))!important;color:hsl(var(--v-cb-tab-neon-bunny-carrot-icon-success))!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-neon-bunny-carrot-icon-status-failed__C6XmE{fill:hsl(var(--v-cb-tab-neon-bunny-carrot-icon-failed))!important;color:hsl(var(--v-cb-tab-neon-bunny-carrot-icon-failed))!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-neon-bunny-carrot__7-Dyg>div{color:hsl(var(--v-cb-tab-neon-bunny-carrot-text))}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-default__PVaef{background-color:hsla(var(--v-cb-tab-prism-default-bkg),1)!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-default__PVaef:hover{background-color:hsla(var(--v-cb-tab-prism-default-bkg),.5)!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-default-icon__PJnq4{fill:hsl(var(--v-cb-tab-prism-default-icon))!important;color:hsl(var(--v-cb-tab-prism-default-icon))!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-default-icon-status-success__UtQou{fill:hsl(var(--v-cb-tab-prism-default-icon-success))!important;color:hsl(var(--v-cb-tab-prism-default-icon-success))!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-default-icon-status-failed__yx-Nj{fill:hsl(var(--v-cb-tab-prism-default-icon-failed))!important;color:hsl(var(--v-cb-tab-prism-default-icon-failed))!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-default__PVaef>div{color:hsl(var(--v-cb-tab-prism-default-text))}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-coy__R9zjA{background-color:hsla(var(--v-cb-tab-prism-coy-bkg),.1)!important;border-left:5px solid hsl(var(--v-cb-tab-prism-coy-bkg));border-radius:0}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-coy__R9zjA:hover{background-color:hsla(var(--v-cb-tab-prism-coy-bkg),.2)!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-coy-icon__BoP8k{fill:hsl(var(--v-cb-tab-prism-coy-icon))!important;color:hsl(var(--v-cb-tab-prism-coy-icon))!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-coy-icon-status-success__-LSSO{fill:hsl(var(--v-cb-tab-prism-coy-icon-success))!important;color:hsl(var(--v-cb-tab-prism-coy-icon-success))!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-coy-icon-status-failed__rGBSC{fill:hsl(var(--v-cb-tab-prism-coy-icon-failed))!important;color:hsl(var(--v-cb-tab-prism-coy-icon-failed))!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-coy__R9zjA>div{color:hsl(var(--v-cb-tab-prism-coy-text))}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-dark__hjOYT{background-color:hsla(var(--v-cb-tab-prism-dark-bkg),1)!important;border-color:hsl(var(--v-cb-tab-prism-dark-border));border-style:solid;border-width:.3em .3em 0}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-dark__hjOYT:hover{background-color:hsla(var(--v-cb-tab-prism-dark-border),.5)!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-dark-icon__pVTJJ{fill:hsl(var(--v-cb-tab-prism-dark-icon))!important;color:hsl(var(--v-cb-tab-prism-dark-icon))!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-dark-icon-status-success__7rUXv{fill:hsl(var(--v-cb-tab-prism-dark-icon-success))!important;color:hsl(var(--v-cb-tab-prism-dark-icon-success))!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-dark-icon-status-failed__XfHo8{fill:hsl(var(--v-cb-tab-prism-dark-icon-failed))!important;color:hsl(var(--v-cb-tab-prism-dark-icon-failed))!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-dark__hjOYT>div{color:hsl(var(--v-cb-tab-prism-dark-text))}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-funky__9krjN{background:url(\"data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='100' height='100' fill='rgba(0,0,0,.2)'%3E%3Cpath d='M0 50 50 0H0zM0 100h50l50-50V0z'/%3E%3C/svg%3E\");background-size:1em 1em}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-funky__9krjN:hover{background-color:hsl(var(--v-cb-tab-prism-funky-bkg))!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-funky-icon__ajquH{fill:hsl(var(--v-cb-tab-prism-funky-icon))!important;color:hsl(var(--v-cb-tab-prism-funky-icon))!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-funky-icon-status-success__I3Sd1{fill:hsl(var(--v-cb-tab-prism-funky-icon-success))!important;color:hsl(var(--v-cb-tab-prism-funky-icon-success))!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-funky-icon-status-failed__l4G6j{fill:hsl(var(--v-cb-tab-prism-funky-icon-failed))!important;color:hsl(var(--v-cb-tab-prism-funky-icon-failed))!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-funky__9krjN>div{background-color:hsl(var(--v-cb-tab-prism-funky-dark))!important;color:hsl(var(--v-cb-tab-prism-funky-text))}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-okaidia__cuEkn{background-color:hsla(var(--v-cb-tab-prism-okaidia-bkg),1)!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-okaidia__cuEkn:hover{background-color:hsla(var(--v-cb-tab-prism-okaidia-bkg),.5)!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-okaidia-icon__-VofY{fill:hsl(var(--v-cb-tab-prism-okaidia-icon))!important;color:hsl(var(--v-cb-tab-prism-okaidia-icon))!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-okaidia-icon-status-success__afV7A{fill:hsl(var(--v-cb-tab-prism-okaidia-icon-success))!important;color:hsl(var(--v-cb-tab-prism-okaidia-icon-success))!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-okaidia-icon-status-failed__gN-Pa{fill:hsl(var(--v-cb-tab-prism-okaidia-icon-failed))!important;color:hsl(var(--v-cb-tab-prism-okaidia-icon-failed))!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-okaidia__cuEkn>div{color:hsl(var(--v-cb-tab-prism-okaidia-text))}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-solarizedlight__hattz{background-color:hsla(var(--v-cb-tab-prism-solarizedlight-bkg),1)!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-solarizedlight__hattz:hover{background-color:hsla(var(--v-cb-tab-prism-solarizedlight-bkg),.5)!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-solarizedlight-icon__S6-5E{fill:hsl(var(--v-cb-tab-prism-solarizedlight-icon))!important;color:hsl(var(--v-cb-tab-prism-solarizedlight-icon))!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-solarizedlight-icon-status-success__ZxKx6{fill:hsl(var(--v-cb-tab-prism-solarizedlight-icon-success))!important;color:hsl(var(--v-cb-tab-prism-solarizedlight-icon-success))!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-solarizedlight-icon-status-failed__-mDwd{fill:hsl(var(--v-cb-tab-prism-solarizedlight-icon-failed))!important;color:hsl(var(--v-cb-tab-prism-solarizedlight-icon-failed))!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-solarizedlight__hattz>div{color:hsl(var(--v-cb-tab-prism-solarizedlight-text))}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-tomorrow__TQi-k{background-color:hsla(var(--v-cb-tab-prism-tomorrow-bkg),1)!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-tomorrow__TQi-k:hover{background-color:hsla(var(--v-cb-tab-prism-tomorrow-bkg),.5)!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-tomorrow-icon__Zi3vI{fill:hsl(var(--v-cb-tab-prism-tomorrow-icon))!important;color:hsl(var(--v-cb-tab-prism-tomorrow-icon))!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-tomorrow-icon-status-success__oAEV2{fill:hsl(var(--v-cb-tab-prism-tomorrow-icon-success))!important;color:hsl(var(--v-cb-tab-prism-tomorrow-icon-success))!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-tomorrow-icon-status-failed__yQREb{fill:hsl(var(--v-cb-tab-prism-tomorrow-icon-failed))!important;color:hsl(var(--v-cb-tab-prism-tomorrow-icon-failed))!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-tomorrow__TQi-k>div{color:hsl(var(--v-cb-tab-prism-tomorrow-text))}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-twilight__TKIoW{background-color:hsla(var(--v-cb-tab-prism-twilight-bkg),1)!important;border-color:hsl(var(--v-cb-tab-prism-twilight-border));border-style:solid;border-width:.3em .3em 0}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-twilight__TKIoW:hover{background-color:hsla(var(--v-cb-tab-prism-twilight-bkg),.5)!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-twilight-icon__ksVhS{fill:hsl(var(--v-cb-tab-prism-twilight-icon))!important;color:hsl(var(--v-cb-tab-prism-twilight-icon))!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-twilight-icon-status-success__mVglw{fill:hsl(var(--v-cb-tab-prism-twilight-icon-success))!important;color:hsl(var(--v-cb-tab-prism-twilight-icon-success))!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-twilight-icon-status-failed__fYrDL{fill:hsl(var(--v-cb-tab-prism-twilight-icon-failed))!important;color:hsl(var(--v-cb-tab-prism-twilight-icon-failed))!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-twilight__TKIoW>div{color:hsl(var(--v-cb-tab-prism-twilight-text))}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-night-owl__fSHlZ{background-color:hsla(var(--v-cb-tab-prism-night-owl),1)!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-night-owl__fSHlZ:hover{background-color:hsla(var(--v-cb-tab-prism-night-owl),.5)!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-night-owl-icon__inXqN{fill:hsl(var(--v-cb-tab-prism-night-owl-icon))!important;color:hsl(var(--v-cb-tab-prism-night-owl-icon))!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-night-owl-icon-status-success__72dZ3{fill:hsl(var(--v-cb-tab-prism-night-owl-icon-success))!important;color:hsl(var(--v-cb-tab-prism-night-owl-icon-success))!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-night-owl-icon-status-failed__Uo0ja{fill:hsl(var(--v-cb-tab-prism-night-owl-icon-failed))!important;color:hsl(var(--v-cb-tab-prism-night-owl-icon-failed))!important}.CodeBlock-vue-vue-type-style-index-0-lang_v-code-block--tab-night-owl__fSHlZ>div{color:hsl(var(--v-cb-tab-prism-night-owl-text))}";
styleInject(css_248z);

var CodeBlock = /* @__PURE__ */ _export_sfc(_sfc_main, [["__file", "src/plugin/CodeBlock.vue"]]);

const install = (app, options) => {
    const codeBlockGlobalOptions = { globalOptions: true, ...options };
    app.provide('codeBlockGlobalOptions', codeBlockGlobalOptions);
    app.component('CodeBlock', CodeBlock);
};
CodeBlock.install = install;

export { CodeBlock as default };
